## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/bottlesdevs/Bottles

Name:       bottles
Epoch:      1
Version:    51.15
Release:    %autorelease
Summary:    Run Windows in a Bottle

%global tag %{version}
%forgemeta

# The following two files are licensed as MIT:
# bottles/backend/models/vdict.py
# bottles/backend/utils/vdf.py
License:    GPL-3.0-or-later AND MIT
URL:        %{forgeurl}
Source0:    %{forgesource}
# Make sure bottles dir exists when opening executable directly
# https://bugzilla.redhat.com/show_bug.cgi?id=2249922
# https://bugzilla.redhat.com/show_bug.cgi?id=2257180
Patch:      0001-Make-sure-Paths.bottles-exists.patch
# Don't fail on AttributeError
# https://bugzilla.redhat.com/show_bug.cgi?id=2260135
Patch:      0002-Catch-AttributeError-in-set_manager.patch
# Catch AttributeError when closing window
# https://bugzilla.redhat.com/show_bug.cgi?id=2313567
Patch:      0003-Catch-AttributeError-when-window-is-closed.patch
# Attempt to prevent segfaults when picking files
# https://bugzilla.redhat.com/show_bug.cgi?id=2296214
Patch:      0004-Use-FileDialog-for-all-file-path-pickers.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  python3
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.1.99
BuildRequires:  blueprint-compiler

Requires:       cabextract
Requires:       glibc(x86-32)           %dnl # https://github.com/bottlesdevs/Bottles/issues/601#issuecomment-936772762
Requires:       gtk4
Requires:       gtksourceview5
Requires:       hicolor-icon-theme
Requires:       libadwaita >= 1.1.99
Requires:       p7zip p7zip-plugins     %dnl # needed by the dependencies manager
Requires:       patool
Requires:       xdpyinfo                %dnl # needed by the display util
Requires:       ImageMagick             %dnl # https://bugzilla.redhat.com/show_bug.cgi?id=2227538

# Use `generate_requires.sh` to generate Python runtime dependencies
# using upstream's `requirements.txt`, which is included in the tarball,
# but not used by Meson.
Requires:       python3dist(pyyaml)
Requires:       python3dist(pycurl)
Requires:       python3dist(chardet)
Requires:       python3dist(requests)
Requires:       python3dist(markdown)
Requires:       python3dist(icoextract)
Requires:       python3dist(patool)
Requires:       python3dist(pathvalidate)
Requires:       python3dist(fvs)
Requires:       python3dist(orjson)
Requires:       python3dist(pycairo)
Requires:       python3dist(pygobject)
Requires:       python3dist(charset-normalizer)
Requires:       python3dist(idna)
Requires:       python3dist(urllib3)
Requires:       python3dist(certifi)
Requires:       python3dist(pefile)

# Requirements not listed in upstream's `requirements.txt`
Requires:       python3dist(vkbasalt-cli)

# Optional dependencies which may be required for running 32-bit bottles.
# We recommend those in order to allow users to opt out.
Recommends:     freetype.i686
Recommends:     mesa-dri-drivers.i686
Recommends:     mesa-filesystem.i686
Recommends:     mesa-libEGL.i686
Recommends:     mesa-libgbm.i686
Recommends:     mesa-libglapi.i686
Recommends:     mesa-libGL.i686
Recommends:     mesa-libGLU.i686
Recommends:     mesa-va-drivers.i686
Recommends:     mesa-vulkan-drivers.i686 
Recommends:     SDL2.i686
Recommends:     vulkan-loader.i686

%description
Bottles lets you run Windows software on Linux, such as applications
and games. It introduces a workflow that helps you organize by
categorizing each software to your liking. Bottles provides several
tools and integrations to help you manage and optimize your
applications.

Features:

- Use pre-configured environments as a base
- Change runners for any bottle
- Various optimizations and options for gaming
- Repair in case software or bottle is broken
- Install various known dependencies
- Integrated task manager to manage and monitor processes
- Backup and restore

%prep
%forgeautosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING.md
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sat Nov 09 2024 Sandro <devel@penguinpee.nl> - 1:51.15-4
- Handle exceptions from file pickers (RHBZ#2296214)

* Sat Nov 09 2024 Sandro <devel@penguinpee.nl> - 1:51.15-3
- Apply patch for AttributeError (RHBZ#2313567)

* Sat Nov 09 2024 Packit <hello@packit.dev> - 1:51.15-1
- Update to 51.15 upstream release
- Resolves: rhbz#2318429

* Sun Aug 18 2024 Sandro <devel@penguinpee.nl> - 1:51.13-2
- Add optional 32-bit dependencies (RHBZ#2277098)

* Sun Aug 18 2024 Packit <hello@packit.dev> - 1:51.13-1
- Update to 51.13 upstream release
- Resolves: rhbz#2297253

* Sun Aug 18 2024 Lyes Saadi <dev@lyes.eu> - 1:51.11-8
- Removing ExcludeArch s390x

* Thu Apr 25 2024 Sandro <devel@penguinpee.nl> - 1:51.11-7
- Add vkbasalt-cli dependency (RHBZ#2277182)

* Sun Apr 21 2024 Sandro <devel@penguinpee.nl> - 1:51.11-4
- Generate Python requirements
- Fix RHBZ#2276256

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 1:51.11-3
- Catch AttributeError in set_manager()

* Mon Mar 04 2024 Sandro <devel@penguinpee.nl> - 1:51.11-2
- Make sure Paths.bottles exists

* Mon Feb 19 2024 Packit <hello@packit.dev> - 1:51.11-1
- [packit] 51.11 upstream release
- Resolves rhbz#2264828

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:51.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:51.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 24 2023 Sandro <devel@penguinpee.nl> - 1:51.10-2
- Update meta info (summary, description)

* Sun Dec 24 2023 Sandro <devel@penguinpee.nl> - 1:51.10-1
- Update to 51.10 (RHBZ#2255734)
- Close RHBZ#2247856 RHBZ#2249922 RHBZ#2254894

* Sun Dec 24 2023 Sandro <devel@penguinpee.nl> - 1:51.9-1
- Revert "[packit] 51.10 upstream release"

* Sun Dec 24 2023 Sandro <devel@penguinpee.nl> - 1:51.10-1
- [packit] 51.10 upstream release

* Sun Dec 24 2023 Sandro <devel@penguinpee.nl> - 1:51.9-7
- Fix Packit configuration

* Sun Dec 24 2023 Nikola Forró <nforro@redhat.com> - 1:51.9-6
- Fix %%forgesource

* Sat Sep 30 2023 Sandro <devel@penguinpee.nl> - 1:51.9-5
- Add Packit config

* Sat Sep 30 2023 Sandro <devel@penguinpee.nl> - 1:51.9-4
- Add python3-chardet (RHBZ#2240292)

* Sat Sep 30 2023 Sandro <devel@penguinpee.nl> - 1:51.9-3
- Drop obsolete macro

* Sat Sep 30 2023 Sandro <devel@penguinpee.nl> - 1:51.9-2
- Use forge macros properly

* Sun Sep 17 2023 Sandro <devel@penguinpee.nl> - 1:51.9-1
- Update to 51.9 (RHBZ#2233358)
- Update License: value
- Update requirements
- Close RHBZ#2229175 RHBZ#2227538 RHBZ#2224722 RHBZ#2222906
- Close RHBZ#2221500

* Tue Sep 12 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1:51.6-3
- blueprint-compiler: ExcludeArch s390x

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:51.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat May 20 2023 Sandro <devel@penguinpee.nl> - 1:51.6-1
- Update to 51.6 (RHBZ#2143460)
- bug fixes and enhancements
- https://github.com/bottlesdevs/Bottles/releases/tag/51.6
- Update depdendencies
- Set epoch due to new version scheme
- Migrate to SPDX license
- Close RHBZ#2160007

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2022.7.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 17 2022 Cristian Le <git@lecris.me> - 2022.7.14-2
- Update dependency

* Sat Oct 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.7.14-1
- build(update): 2022.7.14

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2022.5.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.5.28-4
- build: Retrieve cabextract dep

* Mon Jun 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.5.28-3
- build: Add missing deps

* Sun May 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.5.28-1
- chore(update): 2022.5.28

* Sat May 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.5.14-1
- chore(update): 2022.5.14

* Mon May 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.5.2-1
- chore(update): 2022.5.2

* Wed Apr 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.4.28-1
- chore(update): 2022.4.28

* Wed Apr 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.4.14-1
- chore(update): 2022.4.14

* Mon Mar 28 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.3.28-1
- chore(update): 2022.3.28

* Mon Mar 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.3.14-1
- chore(update): 2022.3.14

* Sat Mar 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.2.28-2
- build: Add gtksourceview4 dep

* Sun Feb 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.2.28-1
- chore(update): 2022.2.28

* Mon Feb 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.2.14-1
- chore(update): 2022.2.14

* Fri Jan 28 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.1.28-1
- chore(update): 2022.1.28

* Mon Jan 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.1.14-3
- build(add dep): cabextract

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2022.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2022.1.14-1
- chore(update): 2022.1.14

* Tue Dec 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.12.28-1
- chore(update): 2021.12.28

* Tue Dec 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.12.14-1
- chore(update): 2021.12.14

* Sun Nov 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.11.28-1
- chore(update): 2021.11.28

* Sat Nov 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.11.14-1
- chore(update): 2021.11.14

* Wed Oct 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.10.28-1
- chore(update): 2021.10.28

* Wed Oct 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.10.14-1
- chore(update): 2021.10.14

* Thu Oct 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.9.28-3
- fix: Multilib dep

* Wed Oct 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.9.28-2
- build(add dep): glibc.i686
  See: https://github.com/bottlesdevs/Bottles/issues/601#issuecomment-936772762

* Mon Sep 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.9.28-1
- build(update): 2021.9.28

* Tue Sep 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.9.14-1
- build(update): 2021.9.14

* Sat Aug 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.8.28-1
- build(update): 2021.8.28

* Sun Aug 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.8.14-2
- fix: Add new dep python3-patool

* Sun Aug 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.8.14-1
- build(update): 2021.8.14

* Wed Jul 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.7.28-1
- build(update): 2021.7.28

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2021.7.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.7.14-1
- build(update): 2021.7.14

* Wed Jul 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.7.3-2
- build(add dep): python3-pyyaml

* Sun Jul 04 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2021.7.3-1
- build(update): 2021.7.3

* Sat Jun 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.15-1
- build(update): 3.1.15

* Fri Jun 11 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.14-1
- build(update): 3.1.14

* Wed Jun 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.13-1
- build(update): 3.1.13

* Tue May 25 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.12-1
- build(update): 3.1.12

* Sat May 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.11-1
- build(update): 3.1.11

* Sat May 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.10-1
- build(update): 3.1.10

* Thu May 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.9-1
- build(update): 3.1.9

* Wed May 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.8-1
- build(update): 3.1.8

* Sun May 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.7-1
- build(update): 3.1.7

* Mon Apr 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.6-1
- build(update): 3.1.6

* Tue Apr 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.5-1
- build(update): 3.1.5

* Thu Apr 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.4-1
- build(update): 3.1.4

* Wed Mar 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.3-1
- build(update): 3.1.3

* Fri Mar 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.2-1
- build(update): 3.1.2

* Sun Mar 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.1-1
- build(update): 3.1.1

* Fri Mar 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-1
- build(update): 3.1.0

* Sat Mar 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.9-1
- build(update): 3.0.9

* Mon Mar 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.8-1
- build(update): 3.0.8

* Sun Mar 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.6-1
- build(update): 3.0.6

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.5-1
- build(update): 3.0.5

* Fri Feb 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.2-1
- build(update): 3.0.2

* Fri Feb 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.1.1-2
- build: Add libhandy1 dep

* Fri Feb 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.1.1-1
- build(update): 3.0.1.1

* Mon Feb 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.2-1
- build(update): 2.1.2

* Fri Feb 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.1-1
- build(update): 2.1.1

* Thu Feb 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0.7-1
- build(update): 2.1.0.7

* Thu Feb 04 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0.6-1
- build(update): 2.1.0.6

* Tue Jan 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0.5-1
- build(update): 2.1.0.5

* Wed Jan 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0.4-1
- build(update): 2.1.0.4

* Mon Jan 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0.2-1
- build(update): 2.1.0.2

* Tue Jan 12 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0-1
- build(update): 2.1.0

* Sun Jan 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.9.9-1
- build(update): 2.0.9.9

* Sat Jan  9 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.9.8-1
- build(update): 2.0.9.8

* Thu Jan  7 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.9.7-1
- Initial package

## END: Generated by rpmautospec
